<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-editors-options.qdoc -->
  <title>Configuring the Editor | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Configuring the Editor</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-beautifier.html" />
  <link rel="next" href="creator-editor-options-text.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-beautifier.html">Beautifying Source Code</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-editor-options-text.html">Specifying Text Editor Settings</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#related-topics">Related Topics</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Configuring the Editor</h1>
<span class="subtitle"></span>
<!-- $$$creator-editor-options.html-description -->
<div class="descr"> <a name="details"></a>
<p>Qt Creator allows you to configure the text editor to suit your specific needs. To configure the editor, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Text Editor</b>.</p>
<p>These settings apply to all projects. To specify editor behavior for an open project, select <b>Projects</b> &gt; <b>Editor</b>. For more information, see <a href="creator-editor-settings.html">Specifying Editor Settings</a>. You can also specify indentation settings separately for C++ and QML files either globally or for the open project. For more information, see <a href="creator-indenting-code.html">Indenting Text or Code</a>.</p>
<p>You can perform the following configuration actions:</p>
<ul>
<li>Set the <a href="creator-editor-options-text.html">font preferences and apply color schemes</a> for syntax highlighting in <b>Font &amp; Colors</b>.</li>
<li>Specify <a href="creator-highlighting.html#generic-highlighting">definition files for syntax highlighting</a> for other types of files than C++ or QML in <b>Generic Highlighter</b>.</li>
<li>Set <a href="creator-indenting-code.html">tabs, indentation, the handling of whitespace, and mouse operations</a> in <b>Behavior</b>.</li>
<li>Set various display properties, such as <a href="creator-highlighting.html#highlighting-and-folding-blocks">highlighting and folding blocks</a> or text wrapping in <b>Display</b>.</li>
<li>Add, modify, and remove <a href="creator-completing-code.html#editing-code-snippets">code snippets</a> in <b>Snippets</b>.</li>
<li>View and remove <a href="creator-macros.html">text editing macros</a> in <b>Macros</b>.</li>
<li>Configure <a href="creator-completing-code.html">code completion</a> in <b>Completion</b>.</li>
</ul>
<a name="related-topics"></a>
<h2 id="related-topics">Related Topics</h2>
<ul>
<li><a href="creator-editor-fakevim.html">Using FakeVim Mode</a><p>Run the main editor in a manner similar to the Vim editor in the FakeVim mode.</p>
</li>
</ul>
</div>
<!-- @@@creator-editor-options.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-beautifier.html">Beautifying Source Code</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-editor-options-text.html">Specifying Text Editor Settings</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
